# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::STLLoader Class Reference

Loads an STL file. More...

`#include <vlSTL.hpp>`

List of all members.

## Public Member Functions

virtual const char * | className ()
ref< ResourceDatabase > | loadSTL (VirtualFile *file)
| Loads a STL file.
ref< ResourceDatabase > | loadAscii (VirtualFile *file)
ref< ResourceDatabase > | loadBinary (VirtualFile *file)

## Detailed Description

Loads an STL file.

## Member Function Documentation

virtual const char* vl::STLLoader::className | ( |  | ) | `[inline, virtual]`

ref< ResourceDatabase > STLLoader::loadSTL | ( | VirtualFile * | file | ) |

Loads a STL file.

ref< ResourceDatabase > STLLoader::loadAscii | ( | VirtualFile * | file | ) |

ref< ResourceDatabase > STLLoader::loadBinary | ( | VirtualFile * | file | ) |

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlSTL.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlSTL.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.